org.apache.lucene.codecs.cheapbastard

## Class CheapBastardCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.cheapbastard.CheapBastardCodec

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public class CheapBastardCodec
      extends FilterCodec

  Codec that tries to use as little ram as possible because he spent all his money on beer

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.FilterCodec

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheapBastardCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesFormat` | `docValuesFormat()`
    `NormsFormat` | `normsFormat()`
    `PostingsFormat` | `postingsFormat()`
    `StoredFieldsFormat` | `storedFieldsFormat()`
    `TermVectorsFormat` | `termVectorsFormat()`

    - ### Methods inherited from class org.apache.lucene.codecs.FilterCodec

      `fieldInfosFormat, liveDocsFormat, segmentInfoFormat`

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CheapBastardCodec

          public CheapBastardCodec()

  - ### Method Detail

    - #### postingsFormat

          public PostingsFormat postingsFormat()

      Overrides:
        `postingsFormat` in class `FilterCodec`

    - #### docValuesFormat

          public DocValuesFormat docValuesFormat()

      Overrides:
        `docValuesFormat` in class `FilterCodec`

    - #### normsFormat

          public NormsFormat normsFormat()

      Overrides:
        `normsFormat` in class `FilterCodec`

    - #### storedFieldsFormat

          public StoredFieldsFormat storedFieldsFormat()

      Overrides:
        `storedFieldsFormat` in class `FilterCodec`

    - #### termVectorsFormat

          public TermVectorsFormat termVectorsFormat()

      Overrides:
        `termVectorsFormat` in class `FilterCodec`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.